.aolei-goods-category {
    width: 100%;
    padding: var(--component-gap) 0;
    overflow: hidden;
}

.aolei-goods-category .aolei_goods_category_title {
    color: var(--title-text-color);
    font-size: var(--font-40);
    font-family: var(--title-font-family);
    font-weight: 400;
    line-height: normal;
    text-align: center;
    margin-bottom: 16px;
}

.aolei-goods-category .aolei_goods_category_desc {
    color: var(--title-second-color);
    font-family: var(--title-font-family);
    font-size: var(--font-24);
    font-weight: 400;
    line-height: normal;
    text-align: center;
}

.aolei-goods-category .aolei-goods-category-list a:hover {
    color: var(--text-color);
}

.aolei-goods-category .aolei-goods-category-card.selected a:hover {
    color: #FFF;
}

.aolei-goods-category .mix {
    display: none;
}

.aolei-goods-category-nav-wrapper {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
    margin: var(--component-gap-sm) auto;
    margin: 36px 0;
}

.aolei-goods-category .aolei-goods-category-list {
    width: fit-content;
    display: flex;
    flex-direction: row;
    background: #F5F5F5;
    border-radius: 50px;
    padding: 5px;
    overflow-x: auto;
    max-width: 100%;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.aolei-goods-products-more {
    display: none;
    width: 100%;
    text-align: center;
    font-weight: 700;
    font-size: 18px;
    color: var(--color-primary);
    margin-bottom: 40px;
}

.aolei-goods-category .aolei-goods-category-list::-webkit-scrollbar {
    display: none;
}

.aolei-goods-category .aolei-goods-category-list::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 3px;
}

.aolei-goods-category .aolei-goods-category-list::-webkit-scrollbar-track {
    background: #eee;
    border-radius: 3px;
}

.aolei-goods-category .aolei-goods-category-card {
    border-radius: 50px;
    height: 47px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background 0.3s, color 0.3s, box-shadow 0.3s, transform 0.3s;
    cursor: pointer;
}

.aolei-goods-category .aolei-goods-category-card-name {
    padding: 10px 25px;
}

.aolei-goods-category .aolei-goods-category-card-title,
.aolei-goods-category .aolei-goods-category-card-title a {
    width: max-content;
    font-size: var(--font-16);
    text-align: center;
    font-weight: 700;
    font-family: var(--font-family);
    line-height: normal;
}

.aolei-goods-category .aolei-goods-category-card.selected {
    background: #000;
    color: #FFF;
    animation: cardSelect 0.3s;
}

.aolei-goods-category .aolei-goods-category-card.selected .aolei-goods-category-card-title {
    color: #FFF;
}

.aolei-goods-category .aolei-goods-products-list {
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: calc(33.333% - 15px);
    gap: 22px;
    max-height: 600px;
}

.aolei-goods-category .aolei-goods-products-list .swiper-pagination {
    position: relative;
    bottom: 0;
}

.aolei-goods-category .aolei-goods-products-list .swiper-pagination .swiper-pagination-bullet-active {
    background: var(--color-primary);
}

.aolei-goods-category .aolei-goods-products-list.swiper-initialized {
    display: block;
    max-height: none;
}

.aolei-goods-category .aolei-goods-item {
    height: 100%;
    min-height: 578px;
    border-radius: 24px;
    overflow: hidden;
    position: relative;
    background: #e3e3e3;
    display: flex;
    flex-direction: column;
}

.aolei-goods-category .aolei-goods-item-img {
    width: 100%;
    object-fit: contain;
    aspect-ratio: 980/578;
}

.aolei-goods-category .aolei-goods-item-content {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: end;
    flex-wrap: wrap;
    padding: 0 48px 36px;
    position: absolute;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.60) 0%, rgba(0, 0, 0, 0.00) 100%);
    left: 0;
    bottom: 0;
}

.aolei-goods-category .content-box {
    display: flex;
    flex-direction: column;
    padding-bottom: 8px;
}

.aolei-goods-category .content-name {
    font-size: var(--font-36);
    font-weight: 700;
    line-height: 1.20;
    font-family: var(--font-family);
    color: #FFF;
}

.aolei-goods-category .content-title {
    font-size: var(--font-16);
    font-weight: 400;
    line-height: 1.32;
    font-family: var(--font-family);
    color: #FFF;
    margin-top: 8px;
    margin-bottom: 16px;
}

.aolei-goods-category .content-record-box {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}

.aolei-goods-category .content-record-item {
    font-size: var(--font-14);
    font-weight: 400;
    line-height: 1.23;
    font-family: var(--font-family);
    color: #FFF;
    display: inline-block;
}

.aolei-goods-category .aolei-goods-btn {
    position: relative;
    font-size: var(--font-16);
    font-family: var(--font-family);
    font-weight: 700;
    line-height: 1.25;
    color: #FFF;
    background: var(--color-primary);
    padding: 15px 36px;
    transition: all 0.3s ease;
    clip-path: polygon(0 100%, 18px 0, 100% 0, 100% 100%);
    padding-left: 54px;
    text-wrap: nowrap;
}

.aolei-goods-category .aolei-goods-btn:hover {
    background: var(--btn-hover);
}

.aolei-goods-category .aolei-goods-item-content .aolei-goods-btn {
    margin-left: auto;
}

.aolei-goods-category .swiper-wrapper .swiper-slide {
    height: auto;
}

.aolei-goods-category .swiper {
    overflow: visible;
}

@keyframes cardSelect {
    0% {
        transform: scale(1);
        box-shadow: none;
    }

    60% {
        transform: scale(1.12);
        box-shadow: 0 8px 32px rgba(25, 118, 210, 0.18);
    }

    100% {
        transform: scale(1.08);
        box-shadow: 0 4px 20px rgba(25, 118, 210, 0.15);
    }
}

@media (max-width: 1500px) {}

@media (max-width: 1200px) {
    .aolei-goods-category .aolei-goods-item {
        min-height: 450px;
    }

    .aolei-goods-category .aolei-goods-item-content {
        padding: 0 20px 20px;
    }
}


@media (max-width: 992px) {
    .aolei-goods-category .aolei-goods-category-card {
        height: 40px;
    }

    .aolei-goods-category .aolei-goods-category-card-name {
        padding: 10px 16px;
    }

    .aolei-goods-category .aolei-goods-category-list {
        gap: 0;
    }

    .aolei-goods-category-nav-wrapper {
        flex-direction: column-reverse;
        flex-wrap: wrap;
        margin: 20px 0;
        gap: 20px;
    }

    .aolei-goods-category .aolei-goods-btn {
        margin-left: auto;
    }

    .aolei-goods-category .aolei-goods-products-list {
        grid-auto-columns: calc(50% - 11px);
    }

    .aolei-goods-category .aolei_goods_type_desc {
        max-width: 100%;
    }

    .aolei-goods-category .aolei-goods-item-content {
        padding: 0 15px 15px;
    }

    .aolei-goods-category .swiper-slide {
        margin-right: 15px;
    }
}

@media (max-width: 768px) {
    .aolei-goods-category .aolei-goods-item {
        min-height: 400px;
    }

    .aolei-goods-category .aolei-goods-item-content {
        padding: 0 10px 10px;

    }
}

@media (max-width: 576px) {
    .aolei-goods-category .content-title {
        margin: 8px 0;
    }

    .aolei-goods-category .aolei-goods-item {
        min-height: 300px;
    }

    .aolei-goods-category .aolei-goods-btn {
        padding: 10px 20px;
        padding-left: 34px;
    }
}